﻿<%@ Page Language="C#" AutoEventWireup="true" Inherits="SimpleRoutingTest.RoutablePage" %>
<%@ Register TagPrefix="local" TagName="Menu" Src="~/Controls/Menu.ascx" %>
<%@ Register TagPrefix="local" TagName="SiteMapView" Src="~/Controls/SiteMapView.ascx" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
	<base href="<%= Routing.BaseUrl %>" />
    <title>Simple ASP.NET Routing Test (no Master Page)</title>
	<style type="text/css">
		@import "Css/TestStyle.css";
	</style>
    <script src="Javascript/TestScript.js" type="text/javascript"></script>
</head>
<body onload="TestMethod( document.getElementById( 'outputDiv' ) )">
    <form id="form1" runat="server">

		<local:SiteMapView runat="server" />

		<div><h1>"Detail" Route (no Master Page)</h1></div>

		<div>Category: <%= Routing.Value( "category" ) %></div>
		<div>ID: <%= Routing.Value( "id" ) %></div>

		<hr />

		<local:Menu runat="server" />

		<div id="outputDiv" class="testClass">This text will be overwritten by TestMethod()</div>

		<div>Calendar for Postback tests:</div>
		<asp:Calendar ID="Calendar1" runat="server" />

    </form>
</body>
</html>